ruby-stomp_1.3.5-1_all.deb


Advertisement

Description

ruby-stomp - Ruby client for the stomp messaging protocol

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-stomp
Package version: 1.3.5
Package release: 1
Package architecture: all
Package type: deb
Installed size: 240 B
Download size: 40.51 KB
Official Mirror: archive.ubuntu.com
Stomp is a text-oriented wire protocol for messaging (MOM/MQ/JMS) type systems. This library provides two useful interfaces, a low- level class, Stomp::Connection, which is a basic protocol implementation, and Stomp::Client, which is designed as a higher level convenience API.

Alternatives

    Download

    Source package: ruby-stomp

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-stomp deb package:
      # sudo apt-get install ruby-stomp

    Files

    • /usr/bin/catstomp
    • /usr/bin/stompcat
    • /usr/lib/ruby/vendor_ruby/stomp.rb
    • /usr/lib/ruby/vendor_ruby/client/utils.rb
    • /usr/lib/ruby/vendor_ruby/connection/heartbeats.rb
    • /usr/lib/ruby/vendor_ruby/connection/netio.rb
    • /usr/lib/ruby/vendor_ruby/connection/utf8.rb
    • /usr/lib/ruby/vendor_ruby/connection/utils.rb
    • /usr/lib/ruby/vendor_ruby/stomp/client.rb
    • /usr/lib/ruby/vendor_ruby/stomp/codec.rb
    • /usr/lib/ruby/vendor_ruby/stomp/connection.rb
    • /usr/lib/ruby/vendor_ruby/stomp/constants.rb
    • /usr/lib/ruby/vendor_ruby/stomp/errors.rb
    • /usr/lib/ruby/vendor_ruby/stomp/message.rb
    • /usr/lib/ruby/vendor_ruby/stomp/null_logger.rb
    • /usr/lib/ruby/vendor_ruby/stomp/slogger.rb
    • /usr/lib/ruby/vendor_ruby/stomp/sslparams.rb
    • /usr/lib/ruby/vendor_ruby/stomp/version.rb
    • /usr/lib/ruby/vendor_ruby/stomp/ext/hash.rb
    • /usr/share/doc/ruby-stomp/README.rdoc.gz
    • /usr/share/doc/ruby-stomp/changelog.Debian.gz
    • /usr/share/doc/ruby-stomp/copyright
    • /usr/share/doc/ruby-stomp/examples/amqdurasub.rb
    • /usr/share/doc/ruby-stomp/examples/client11_ex1.rb
    • /usr/share/doc/ruby-stomp/examples/client11_putget1.rb
    • /usr/share/doc/ruby-stomp/examples/conn11_ex1.rb
    • /usr/share/doc/ruby-stomp/examples/conn11_ex2.rb
    • /usr/share/doc/ruby-stomp/examples/conn11_hb1.rb
    • /usr/share/doc/ruby-stomp/examples/consumer.rb
    • /usr/share/doc/ruby-stomp/examples/examplogger.rb
    • /usr/share/doc/ruby-stomp/examples/get11conn_ex1.rb
    • /usr/share/doc/ruby-stomp/examples/get11conn_ex2.rb
    • /usr/share/doc/ruby-stomp/examples/logexamp.rb
    • /usr/share/doc/ruby-stomp/examples/logexamp_ssl.rb
    • /usr/share/doc/ruby-stomp/examples/publisher.rb
    • /usr/share/doc/ruby-stomp/examples/put11conn_ex1.rb
    • /usr/share/doc/ruby-stomp/examples/putget11_rh1.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_ctxoptions.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_newparm.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_uc1.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_uc1_ciphers.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_uc2.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_uc2_ciphers.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_uc3.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_uc3_ciphers.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_uc4.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_uc4_ciphers.rb
    • /usr/share/doc/ruby-stomp/examples/ssl_ucx_default_ciphers.rb
    • /usr/share/doc/ruby-stomp/examples/stomp11_common.rb
    • /usr/share/doc/ruby-stomp/examples/topic_consumer.rb
    • /usr/share/doc/ruby-stomp/examples/topic_publisher.rb
    • /usr/share/man/man1/catstomp.1.gz
    • /usr/share/man/man1/stompcat.1.gz
    • /usr/share/rubygems-integration/all/specifications/stomp-1.3.5.gemspec

    Changelog

    2016-03-07 - Sebastien Badia <seb@sebian.fr> ruby-stomp (1.3.5-1) unstable; urgency=medium * Team upload [ Cédric Boutillier ] * Bump debhelper compatibility level to 9 * Use https:// in Vcs-* fields * Bump Standards-Version to 3.9.7 (no changes needed) [ Sebastien Badia ] * Imported Upstream version 1.3.5 * d/patches: Remove local rspec3 patch (applied upstream)

    2015-08-13 - Cédric Boutillier <boutil@debian.org> ruby-stomp (1.3.4-2) unstable; urgency=medium * Team upload * Add patches for basic RSpec3 support for the test suite (Closes: #795119) and build-depend on ruby-rspec-its * Require 'rspec/autorun' to actually run the tests * Refresh packaging with dh-make-ruby -w

    2015-05-03 - Jonas Genannt <genannt@debian.org> ruby-stomp (1.3.4-1) unstable; urgency=medium * Team upload. * Imported Upstream version 1.3.4 * d/control: - bumped up standards version to 3.9.6 (no changes needed) - changed my mail address to @debian.org - add Testsuite: autopkgtest-pkg-ruby * d/copyright: updated copyright years

    2014-08-27 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-stomp (1.3.3-1) unstable; urgency=low * Imported Upstream version 1.3.3

    2014-01-09 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-stomp (1.3.2-1) unstable; urgency=low * Imported Upstream version 1.3.2 * d/control: bumped standards version to 3.0.5 (no changes needed)

    2013-10-22 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-stomp (1.3.1-1) unstable; urgency=low * Imported Upstream version 1.3.1 * removed 'remove_rubygems' patch

    2013-09-20 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-stomp (1.2.16-1) unstable; urgency=low * Imported Upstream version 1.2.16 * d/control: wrap-sort

    2013-08-27 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-stomp (1.2.14-1) unstable; urgency=low * Imported Upstream version 1.2.14

    2013-08-16 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-stomp (1.2.12-1) unstable; urgency=low * Imported Upstream version 1.2.12 * d/control: removed transitional packages from libstomp-ruby to ruby-stomp

    2013-05-16 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-stomp (1.2.9-1) unstable; urgency=low [ Cédric Boutillier ] * use canonical URI in Vcs-* fields [ Jonas Genannt ] * Imported Upstream version 1.2.9

    Advertisement
    Advertisement